package hdx

import (
	"net/http"
)

var prefix map[string]string

func addRoutes(sm *http.ServeMux, server *Server, staticFiles string) {
	prefix = map[string]string{
		"info":   "/info/",
		"health": "/healthz",
		"visit":  "/",
	}

	sm.HandleFunc(prefix["visit"], server.visit)
	sm.HandleFunc(prefix["info"], server.serverInfo)
	sm.HandleFunc(prefix["health"], server.health)
}
